Logo
OpenScaler
API Documentation/Load Balancer Public Ports

Close a Public Port on a Load Balancer

Remove an existing public port mapping from a load balancer.

DELETE
/v1/lbs/{lb_id}/public_ports

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Request Body

application/jsonRequired
portRequiredinteger

Internal port to stop exposing.

Path Parameters

lb_idRequiredstring

A unique identifier for a load balancer instance.

curl -X DELETE "https://api.alpha.openscaler.net/v1/lbs/42/public_ports" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "port": 80
  }'

Port closed successfully.

null